Subject: Re: [DNA] DNA proposal issue 19 - was [Issue X] LinkID v.s. LandmarkPre side.

From: Greg Daley <[email-masked]>
Date: Mon, 25 Jul 2005 03:39:07 +1000

>(as an aside, it is more accurate to refer to this solution as LinkIDList -
> because AFAIK, the host, the router and the RA will contain a LinkIDList -
>the list may contain one or more entries - right?).
>

This may not be correct. Most of the time only one LinkID will be there in
the LinkID
list. If the prefix list changes, which causes change in LinkID, only then
more than
one prefix will present in LinkID list. And this is a very rare case.

> Sathya

Thanks & Regards,
Subba Reddy

fix
Sender: [email-masked]
To: James Kempf <[email-masked]>
Cc: JinHyeock Choi <[email-masked]>, [email-masked],
        Sathya Narayanan <[email-masked]>,
        Brett Pentland <[email-masked]>,
        Dna <[email-masked]>
Message-id: <[email-masked]>
MIME-version: 1.0
X-Mailer: iPlanet Messenger Express 5.2 HotFix 2.05 (built Mar  3 2005)
Content-type: text/plain; charset=us-ascii
Content-language: en
Content-transfer-encoding: 7BIT
Content-disposition: inline
X-Accept-Language: en
Content-Transfer-Encoding: 7BIT

Hi James, 

There are responses to the top and bottom of your e-mail.

Don't be too despondent until you read the last lines...

----- Original Message -----
From: James Kempf <[email-masked]>
Date: Saturday, July 23, 2005 4:54 pm
Subject: Re: [DNA] DNA proposal issue 19 - was [Issue X] LinkID v.s. 
LandmarkPrefix
> > has bandwidths between 1 - 5 Mbps, and 3.9 G is up to 20
> > Mbps. 9.6 kbps links aren't really that important anymore.
> 
> My point is that, if we are to compare packet size as Greg suggested,
> we need to compare all the packet size coming from each scheme,
> not only the packet size of one RS/ RA exchange.
> 
> jak>> But how often will this signaling take place? I think one 
> must be realistic about the critera. If the signaling only takes
> place every handover, then I think that the size isn't really
> relevant, within reason of course. We're not talking about a
> periodic beacon in that case.

You're right that the burden isn't too great, but one thing touted
as an advantage for Landmarks is their smaller size (with a Yes reply).
So it's a legitimate factor (though not necessarily a big one).

Also, the background cost of LinkID and CompleteRA are relevant,
since there are BNEP bridges available...   

If we compare unsolicited RA overheads we need to stress that with
DNA, the unsolicited rate can be decreased and still receive good 
performance.  We can present the rates for default RFC2461 RA,
with default MinRtrAdvInterval and MaxRtrAdvInterval (in bps), 
given the sample scenarios.

The minimum RA interval values can be presented for comparison, 
with a disclaimer that these values may not be needed.

Does this sound reasonable? (regardless of its necessity??)

I'll see if I can do this for the agreed criteria, in order to
make this available to the list.  My aim here is to provide
enough information for the WG to make its own decision.

In this case, I guess there may not be much difference, but
removing the uncertainty may help the decision process.

[cut]
> jak>> I think there are more important criteria, like backward
> compatibility. How would each of these methods handle having a 
> nonDNA router on the link, or handover between a DNA link and
> a nonDNA link?  These are the kinds of issues that will
> negatively or positively impact deployment potential, not whether
> one or the other technique has a couple fewer bytes in the best case.

Your point is well taken.

I'll elicit help from others to facilitate this.

Greg